#ifndef CONFIGURATIONFILEWATCHER_H
#define CONFIGURATIONFILEWATCHER_H

#include <QObject>

/** watch for changes in the configuration file. QFileSystemWatcher does not behave
  * as expected.
 */
class ConfigurationFileWatcher : public QObject
{
Q_OBJECT
public:
    explicit ConfigurationFileWatcher(QObject *parent, const QString& filename);

    bool error() const { return !m_errorMsg.isEmpty(); }

    QString errorMessage() const { return m_errorMsg; }

signals:
    void fileChanged();

    void error(const QString& message);

public slots:

private slots:
    void refresh();

private:
    QString m_fileContents, m_fileName;
    QString m_errorMsg;

    QString m_readFile();
};

#endif // CONFIGURATIONFILEWATCHER_H
